Need help? Get answers from the docs with Omni's in-app AI! Log in to your Omni instance and open the Omni Agent in the sidebar.
curl --request POST \
--url https://{instance}.omniapp.co/api/v1/connection-environments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"baseConnectionId": "123e4567-e89b-12d3-a456-426614174000",
"environmentConnectionIds": "223e4567-e89b-12d3-a456-426614174001,323e4567-e89b-12d3-a456-426614174002"
}
'{
"success": true,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environmentConnectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}Creates connection environments by associating environment-specific connections with a base connection
curl --request POST \
--url https://{instance}.omniapp.co/api/v1/connection-environments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"baseConnectionId": "123e4567-e89b-12d3-a456-426614174000",
"environmentConnectionIds": "223e4567-e89b-12d3-a456-426614174001,323e4567-e89b-12d3-a456-426614174002"
}
'{
"success": true,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environmentConnectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.omni.co/llms.txt
Use this file to discover all available pages before exploring further.
Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
The UUID of the base connection to associate environment connections with
A comma-separated list of connection UUIDs to use as environment connections. All connection IDs must be valid UUIDs that:
Was this page helpful?